Subject: RE: [AAA-WG]: Urgent Diameter Issues still pending

From: Yiwen Jiang <[email-masked]>
Date: Thu, 10 May 2001 13:59:12 -0400

Hi Pat,

Based on the discussion that we had last week, I thought you were proposing
to change the command names to get rid of the -Ind, -Req, and -Answer, and
use the EIR bits to represent the type of command to allow ease of proxy
integration with new extensions ... 

Or did you later determine that this is no longer an issue?

Thanks.

> -----Original Message-----
> From: Pat Calhoun [mailto:[email-masked]]
> Sent: Thursday, May 10, 2001 11:58 AM
> To: [email-masked]
> Subject: Re: [AAA-WG]: Urgent Diameter Issues still pending
> 
> 
> It has occured to me that there is another proposal that I 
> have forgotten.
> 
> 4. Elimination of the STI. There was a proposal that the STI would
> be eliminated, and a new command code set would be created that would
> allow a server to initiate a session termination on the access device.
> 
> Again, I am waiting for WG comments. I do not feel 
> comfortable making blind
> changes without *any* feedback.
> 
> PatC
> 
> On Wed, May 09, 2001 at 04:32:57PM -0700, Pat Calhoun wrote:
> > All,
> > 
> > This is just to recap the list of issues that are still pending,
> > which we really need to get some closure on in the next few days. I
> > would like to have the specs out to the WG well before the Interim
> > Meeting this month.
> > 
> > As far as memory serves, the following issues are still pending, and
> > I am waiting for comments:
> > 1. Problem with MRI - I proposed a solution to reduce req/answ cmds
> > to only require a single command code, and make use of the EIR bits.
> > This would remove the MRI.
> > 2. Problem with MRI - How do we deal with -Ind messages that cause a
> > failure? Should a new message be created that is used ONLY 
> to respond
> > to bad -Ind messages??? (we could re-use the MRI for this).
> > 3. Boot-Id - People insist that this bug is to be fixed, and three
> > alternatives have been proposed (note that they are not mutually
> > exclusive).
> > 
> > I would appreciate some comments on these proposals.
> > 
> > Thanks,
> > 
> > PatC
> > 
>

---

From: Pat Calhoun <[email-masked]>
Date: Thu, 10 May 2001 10:56:14 -0700

> Or did you later determine that this is no longer an issue?

I made the proposal, but I am waiting to hear from the WG that this is
the direction that we want to take.

Should I assume that you are in agreement with this proposal?

As we near the deadline, I am getting more cautious in making liberal changes
to the spec. I would prefer to make sure that we have consensus prior to
making protocol changes.

PatC

---

From: Barney Wolff <[email-masked]>
Date: Thu, 10 May 2001 14:40:36 -0400

Well if nobody else will speak up, I'll support the proposal.
Loses nothing, and gains the ability to answer a request you
don't understand.

Barney Wolff

---

From: Tony Johansson <[email-masked]>
Date: Thu, 10 May 2001 13:52:26 -0700

> Loses nothing, and gains the ability to answer a request you

I also agree and supports this.

/Tony